Bug 72323 - LibreOffice and Antidote
Summary: LibreOffice and Antidote
Status: RESOLVED NOTOURBUG
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.1.3.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-04 20:43 UTC by thibault_g
Modified: 2013-12-17 16:26 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description thibault_g 2013-12-04 20:43:29 UTC
Hello,

I writing here because I need some help.

I have just actualized LibreOffice, and then, my program Antidote can not integrate anymore LibreOffice. Now I am receiving this message: loading component library failed: file:///home/tg/.config/libreoffice/4/user/uno_packages/cache/uno_packages/lugs3noy.tmp_/Installation.Antidote.LibreOffice.4.oxt/libAntidote_32.OOo.MT.P100.so.

Does anyone knows what I need to do to resolve this issue?

Thank you

TGE.
Comment 1 m.a.riosv 2013-12-04 21:57:33 UTC
Please try to find help in the web of the extension.

http://www.druide.com/antidote.html
Comment 2 Julien Nabet 2013-12-05 20:10:52 UTC
Antidote website indicates compatibility with LO 4.1 Now I suppose it also depends on Antidote version.

Try to rename your LO directory profile https://wiki.documentfoundation.org/UserProfile and give it a new try. Perhaps you'll need to reinstall Antidote, I never used it.
Comment 3 thibault_g 2013-12-06 21:00:51 UTC
Hello,

I have try to find help on the web and Druide.com, but there is nothing useful.

I have try to rename my LO directory profile and it did not work.

Any other idea?

Thank you

TGE
Comment 4 Julien Nabet 2013-12-06 23:35:31 UTC
What Antidote version do you use? If not last one, are you sure your version is compatible with LO 4.1?
Comment 5 thibault_g 2013-12-08 10:33:19 UTC
Hello,

I have Antidote HD. Antidote HD is normally working with LibreOffice 3.4 et 3.5, but, after some effort, I have succeeded to make it work perfectly with LibreOffice 4.0. For now, I am trying to make it work with LO 4.1. The customer service of Antidote said that it is possible to make it work with it, but I have to do it myself or buy the new version.

Any other ideas?

Thank you.

TGE.
Comment 6 Julien Nabet 2013-12-08 10:46:52 UTC
Is Antidote HD = Antidote 8 (which seems last version)?

Perhaps you should indicate to Antidote support what you did to make the extension work.
Comment 7 thibault_g 2013-12-08 10:56:25 UTC
Hello,

Antidote HD is Antidote 7.

They prefer me to buy the new one than to help me.

Thank you,

TGE.
Comment 8 Julien Nabet 2013-12-08 12:02:08 UTC
In which env are you, perhaps you could retrieve more trace about the problem?

Stephan: put you in cc, I thought you might have some ideas about how to dig about the pb for loading this component.
Comment 9 thibault_g 2013-12-08 16:56:59 UTC
Hello,

My environment is Linux, Ubuntu, version 13.10, LibreOffice, version 4.1.3, Antidote, version 7.6

Thank you very much,

TGE
Comment 10 thibault_g 2013-12-08 16:57:36 UTC
I have tried to find some info on the Web without success for now.
Comment 11 Julien Nabet 2013-12-08 20:57:25 UTC
Ideally, to retrieve the maximum of information, you can build LO by following this:
https://wiki.documentfoundation.org/Development/Native_Build

(and include --enable-dbgutil in autogen.input generated by autogen.sh to have all symbols)
Comment 12 Stephan Bergmann 2013-12-09 09:16:18 UTC
(In reply to comment #0)
> I have just actualized LibreOffice, and then, my program Antidote can not
> integrate anymore LibreOffice. Now I am receiving this message: loading
> component library failed:
> file:///home/tg/.config/libreoffice/4/user/uno_packages/cache/uno_packages/
> lugs3noy.tmp_/Installation.Antidote.LibreOffice.4.oxt/libAntidote_32.OOo.MT.
> P100.so.

libAntidote_32.OOo.MT.P100.so presumably links against some (version of a) library that LO no longer provides.  Please type "readelf -d /home/tg/.config/libreoffice/4/user/uno_packages/cache/uno_packages/lugs3noy.tmp_/Installation.Antidote.LibreOffice.4.oxt/libAntidote_32.OOo.MT.P100.so" into a terminal shell and provide its output, maybe that gives a clue.

(That Antidote extension is not available for free, is it?)
Comment 13 thibault_g 2013-12-09 20:00:22 UTC
Hello,

Yes, Antidote is not free. I have bought it.

This is the output, but I am not sure it worked the way you ask it.

readelf : option invalide -- '/'
Usage: readelf <options> fichiers-elf
 Afficher les informations à propos du contenu du format des fichiers ELF
 Options are:
  -a --all               Equivalent to: -h -l -S -s -r -d -V -A -I
  -h --file-header       Display the ELF file header
  -l --program-headers   Display the program headers
     --segments          An alias for --program-headers
  -S --section-headers   Display the sections' header
     --sections          An alias for --section-headers
  -g --section-groups    Display the section groups
  -t --section-details   Display the section details
  -e --headers           Equivalent to: -h -l -S
  -s --syms              Display the symbol table
     --symbols           An alias for --syms
  --dyn-syms             Display the dynamic symbol table
  -n --notes             Display the core notes (if present)
  -r --relocs            Display the relocations (if present)
  -u --unwind            Display the unwind info (if present)
  -d --dynamic           Display the dynamic section (if present)
  -V --version-info      Display the version sections (if present)
  -A --arch-specific     Display architecture specific information (if any)
  -c --archive-index     Display the symbol/file index in an archive
  -D --use-dynamic       Use the dynamic section info when displaying symbols
  -x --hex-dump=<number|name>
                         Dump the contents of section <number|name> as bytes
  -p --string-dump=<number|name>
                         Dump the contents of section <number|name> as strings
  -R --relocated-dump=<number|name>
                         Dump the contents of section <number|name> as relocated bytes
  -w[lLiaprmfFsoRt] or
  --debug-dump[=rawline,=decodedline,=info,=abbrev,=pubnames,=aranges,=macro,=frames,
               =frames-interp,=str,=loc,=Ranges,=pubtypes,
               =gdb_index,=trace_info,=trace_abbrev,=trace_aranges,
               =addr,=cu_index]
                         Display the contents of DWARF2 debug sections
  --dwarf-depth=N        Ne pas afficher les DIEs à une profondeur supérieure ou égale à N
  --dwarf-start=N        Afficher les DIEs en commençant par N, à la même profondeur ou plus bas
  -I --histogram         afficher l'histogramme des bacs selon la longueur de la liste
  -W --wide              permettre d'afficher plus de 80 caractères
  @<fichier>             lire les options à partir du <fichier>
  -H --help              afficher l'aide-mémoire
  -V --version           afficher le nom et la version du logiciel
 
I will try to do a native build of LibreOffice these days.

Thank you.
Comment 14 Julien Nabet 2013-12-09 20:09:49 UTC
thibault:
readelf works as Stephan indicated, eg:
julien@julienPC:~/compile-libreoffice/libo_4_1$ readelf -d ./solver/unxlngx6/lib/testtools_cppobj.uno.so

Dynamic section at offset 0x46ad0 contains 32 entries:
  Tag        Type                         Name/Value
 0x0000000000000001 (NEEDED)             Shared library: [libuno_cppu.so.3]
 0x0000000000000001 (NEEDED)             Shared library: [libuno_cppuhelpergcc3.so.3]
 0x0000000000000001 (NEEDED)             Shared library: [libuno_sal.so.3]

BTW, it's more practical to have messages in English. (nothing against French language, I'm French :-) )
To do this, just type this before launching your command:
export LANG=C
Comment 15 Stephan Bergmann 2013-12-10 07:49:14 UTC
(In reply to comment #13)
> This is the output, but I am not sure it worked the way you ask it.
> 
> readelf : option invalide -- '/'

You probably got fooled by bugzilla's automatic word wrap in my comment, there must not be any spaces in the single argument "/home/tg/.config/libreoffice/4/user/uno_packages/cache/uno_packages/lugs3noy.tmp_/Installation.Antidote.LibreOffice.4.oxt/libAntidote_32.OOo.MT.P100.so".

That is, the command to type is

> readelf -d /home/tg/.config/libreoffice/4/user/uno_packages/cache/uno_packages/lugs3noy.tmp_/Installation.Antidote.LibreOffice.4.oxt/libAntidote_32.OOo.MT.P100.so

(without the leading ">", but which hopefully prevents automatic word wrap in bugzilla).
Comment 16 thibault_g 2013-12-10 16:47:35 UTC
Hello,

Here is what I got:

tg@tg-K50IJ:~$ readelf -d /home/tg/.config/libreoffice/4/user/uno_packages/cache/uno_packages/lugs3noy.tmp_/Installation.Antidote.LibreOffice.4.oxt/libAntidote_32.OOo.MT.P100.so
readelf: ERREUR: '/home/tg/.config/libreoffice/4/user/uno_packages/cache/uno_packages/lugs3noy.tmp_/Installation.Antidote.LibreOffice.4.oxt/libAntidote_32.OOo.MT.P100.so': pas de fichier comme tel

tg@tg-K50IJ:~$ readelf-d/home/tg/.config/libreoffice/4/user/uno_packages/cache/uno_packages/lugs3noy.tmp_/Installation.Antidote.LibreOffice.4.oxt/libAntidote_32.OOo.MT.P100.so
bash: readelf-d/home/tg/.config/libreoffice/4/user/uno_packages/cache/uno_packages/lugs3noy.tmp_/Installation.Antidote.LibreOffice.4.oxt/libAntidote_32.OOo.MT.P100.so: Aucun fichier ou dossier de ce type

But I forgot to do it in French and maybe I did something wrong.

Peut-être pourrions-nous continuer en français?

Thank you,

TGE.
Comment 17 Julien Nabet 2013-12-10 17:06:47 UTC
Thibault: the bugtracker is in English so far more people can contribute.

You can try this:
from your home directory, run this:
find . -name libAntidote_32.OOo.MT.P100.so

It will give the precise path of the file

then:
readelf -d <file with complete path>
Comment 18 Stephan Bergmann 2013-12-10 17:09:23 UTC
(In reply to comment #16)
> tg@tg-K50IJ:~$ readelf -d
> /home/tg/.config/libreoffice/4/user/uno_packages/cache/uno_packages/lugs3noy.
> tmp_/Installation.Antidote.LibreOffice.4.oxt/libAntidote_32.OOo.MT.P100.so
> readelf: ERREUR:
> '/home/tg/.config/libreoffice/4/user/uno_packages/cache/uno_packages/
> lugs3noy.tmp_/Installation.Antidote.LibreOffice.4.oxt/libAntidote_32.OOo.MT.
> P100.so': pas de fichier comme tel

"pas de fichier comme tel" being "no such file" in French.  What is the output of

> find /home/tg/.config/libreoffice/4/user/uno_packages/cache/uno_packages/lugs3noy.tmp_ -print
Comment 19 thibault_g 2013-12-10 17:59:53 UTC
Hello,

Here what I got:

Firstly:

tg@tg-K50IJ:~$ find. -name libAntidote_32.OOo.MT.P100.so
Commande 'find.' non trouvée, vouliez-vous dire :
 La commande 'findv' du paquet 'polylib-utils' (universe)
 La commande 'find' du paquet 'findutils' (main)
find. : commande introuvable

Secondly:

tg@tg-K50IJ:~$ find -name libAntidote_32.OOoMT.P100.so
find: "./.cache/dconf": Permission non accordée

Thirdly:

tg@tg-K50IJ:~$ find /home/tg/.config/libreoffice/4/user/uno_packages/cache/uno_packages/lugs3noy.tmp_ -print
find: "/home/tg/.config/libreoffice/4/user/uno_packages/cache/uno_packages/lugs3noy.tmp_": Aucun fichier ou dossier de ce type

Thank you
Comment 20 Julien Nabet 2013-12-10 18:03:27 UTC
About the first point, there's a space between "find" and "."
Please, try to copy paste the commands.

As indicated before: run once per terminal session this before testing commands:
export LANG=C
so all the messages are in English.
Thank you.
Comment 21 thibault_g 2013-12-10 18:08:58 UTC
tg@tg-K50IJ:~$ export LANG=C
tg@tg-K50IJ:~$ find . -name libAntidote_32.OOo.MT.P100.so
find: `./.cache/dconf': Permission denied
./.config/libreoffice/4/user/uno_packages/cache/uno_packages/lujyhsr3.tmp_/Installation.Antidote.LibreOffice.4.oxt/libAntidote_32.OOo.MT.P100.so
./.config/libreoffice/4/user/extensions/tmp/extensions/luugstky.tmp_/Installation.Antidote.LibreOffice.3.oxt/libAntidote_32.OOo.MT.P100.so
./.config/libreoffice/4/user/extensions/tmp/extensions/luugstkt.tmp_/Installation.Antidote.LibreOffice.3.oxt/libAntidote_32.OOo.MT.P100.so
./.config/libreoffice/4/user/extensions/tmp/extensions/lujyhsr1.tmp_/Installation.Antidote.LibreOffice.4.oxt/libAntidote_32.OOo.MT.P100.so
tg@tg-K50IJ:~$
Comment 22 Julien Nabet 2013-12-10 18:13:35 UTC
Could you run this?
readelf -d ./.config/libreoffice/4/user/extensions/tmp/extensions/lujyhsr1.tmp_/Installation.Antidote.LibreOffice.4.oxt/libAntidote_32.OOo.MT.P100.so

(all must be in the same line)

Also, it's quite strange you have several times libAntidote_32.OOo.MT.P100.so but I don't know Antidote and don't know enough LO profile internal mechanisms to tell.
Comment 23 thibault_g 2013-12-10 18:53:14 UTC
tg@tg-K50IJ:~$ readelf -d ./.config/libreoffice/4/user/extensions/tmp/extensions/lujyhsr1.tmp_/Installation.Antidote.LibreOffice.4.oxt/libAntidote_32.OOo.MT.P100.so

Dynamic section at offset 0x236b44 contains 45 entries:
  Tag        Type                         Name/Value
 0x00000001 (NEEDED)                     Shared library: [libuno_cppuhelpergcc3.so.3]
 0x00000001 (NEEDED)                     Shared library: [libuno_cppu.so.3]
 0x00000001 (NEEDED)                     Shared library: [libuno_salhelpergcc3.so.3]
 0x00000001 (NEEDED)                     Shared library: [libuno_sal.so.3]
 0x00000001 (NEEDED)                     Shared library: [libreg.so.3]
 0x00000001 (NEEDED)                     Shared library: [libstore.so.3]
 0x00000001 (NEEDED)                     Shared library: [libjpeg.so.62]
 0x00000001 (NEEDED)                     Shared library: [libpng12.so.0]
 0x00000001 (NEEDED)                     Shared library: [libgobject-2.0.so.0]
 0x00000001 (NEEDED)                     Shared library: [libXrender.so.1]
 0x00000001 (NEEDED)                     Shared library: [libfontconfig.so.1]
 0x00000001 (NEEDED)                     Shared library: [libfreetype.so.6]
 0x00000001 (NEEDED)                     Shared library: [libXext.so.6]
 0x00000001 (NEEDED)                     Shared library: [libX11.so.6]
 0x00000001 (NEEDED)                     Shared library: [libz.so.1]
 0x00000001 (NEEDED)                     Shared library: [libdl.so.2]
 0x00000001 (NEEDED)                     Shared library: [libgthread-2.0.so.0]
 0x00000001 (NEEDED)                     Shared library: [librt.so.1]
 0x00000001 (NEEDED)                     Shared library: [libglib-2.0.so.0]
 0x00000001 (NEEDED)                     Shared library: [libpthread.so.0]
 0x00000001 (NEEDED)                     Shared library: [libstdc++.so.6]
 0x00000001 (NEEDED)                     Shared library: [libm.so.6]
 0x00000001 (NEEDED)                     Shared library: [libgcc_s.so.1]
 0x00000001 (NEEDED)                     Shared library: [libc.so.6]
 0x0000000f (RPATH)                      Library rpath: [/opt/openoffice.org/ure/lib]
 0x0000000c (INIT)                       0x1b70c
 0x0000000d (FINI)                       0x164a08
 0x00000004 (HASH)                       0xf4
 0x6ffffef5 (GNU_HASH)                   0x242c
 0x00000005 (STRTAB)                     0x92b4
 0x00000006 (SYMTAB)                     0x45a4
 0x0000000a (STRSZ)                      48524 (bytes)
 0x0000000b (SYMENT)                     16 (bytes)
 0x00000003 (PLTGOT)                     0x237ff4
 0x00000002 (PLTRELSZ)                   4528 (bytes)
 0x00000014 (PLTREL)                     REL
 0x00000017 (JMPREL)                     0x1a55c
 0x00000011 (REL)                        0x15c34
 0x00000012 (RELSZ)                      18728 (bytes)
 0x00000013 (RELENT)                     8 (bytes)
 0x6ffffffe (VERNEED)                    0x159e4
 0x6fffffff (VERNEEDNUM)                 10
 0x6ffffff0 (VERSYM)                     0x15040
 0x6ffffffa (RELCOUNT)                   1631
 0x00000000 (NULL)                       0x0
tg@tg-K50IJ:~$
Comment 24 Stephan Bergmann 2013-12-11 07:39:08 UTC
(In reply to comment #9)
> My environment is Linux, Ubuntu, version 13.10, LibreOffice, version 4.1.3,
> Antidote, version 7.6

Is that the LO that comes with Ubuntu, or did you download it from the libreoffice.org website?
Comment 25 Stephan Bergmann 2013-12-11 08:04:36 UTC
(In reply to comment #23)
>  0x00000001 (NEEDED)                     Shared library: [libreg.so.3]
>  0x00000001 (NEEDED)                     Shared library: [libstore.so.3]

Ach, I see now what's going wrong.  Those two libraries are private parts of LO (cf. ure/source/README) that extensions must not link against, and their names changed in LO 4.1, so libAntidote_32.OOo.MT.P100.so cannot find them any longer.

There should be a workaround, creating symlinks (in /opt/openoffice.org/ure/lib, as libAntidote_32.OOo.MT.P100.so also has a bogus RPATH, which should be harmless but comes in handy here), but the exact recipe would depend on your answer to comment 24.

In any event, this is an error that would need fixing in the extension.  (I'm not sure why they link against the LO-internal reg and store libraries at all, there's not much functionality in them that should be of use for extension developers.  We did erroneously document that functionality at api.libreoffice.org in the past, though.)  If you can establish a contact to the authors of that extension, I'd be willing to talk to them whether and how best to address this problem.
Comment 26 thibault_g 2013-12-11 21:20:10 UTC
It is the one that comes with Ubuntu.

I have tried to contact the authors of Antidote's extension, but they have said to me to buy the new extension. I will try again, but I am not optimistic.

Thank you.
Comment 27 Björn Michaelsen 2013-12-12 08:36:43 UTC
Location of reg and store libs on Ubuntu 13.10:
> bjoern@uzi:~$ cat /etc/issue && dpkg-query -L uno-libs3|grep 'reg\|store'
> Ubuntu 13.10 \n \l
> 
> /usr/lib/ure/lib/libstorelo.so
> /usr/lib/ure/lib/libreglo.so
Comment 28 Stephan Bergmann 2013-12-12 08:43:29 UTC
So what might help (I can't try it out and write it down "blindly"), is to do as root (e.g., precede each line with the "sudo" command) the following three commands (again, without the leading ">" of course):

> mkdir -p /opt/openoffice.org/ure/lib
> ln -s /usr/lib/ure/lib/libreglo.so /opt/openoffice.org/ure/lib/libreg.so.3
> ln -s /usr/lib/ure/lib/libstorelo.so /opt/openoffice.org/ure/lib/libstore.so.3
Comment 29 thibault_g 2013-12-12 20:29:05 UTC
Hello,

Here is the results:

tg@tg-K50IJ:~$ export LANG=C
tg@tg-K50IJ:~$ sudo mkdir -p /opt/openoffice.org/ure/lib
[sudo] password for tg: 
tg@tg-K50IJ:~$ sudo ln -s /usr/lib/ure/lib/libreglo.so /opt/openoffice.org/ure/lib/libreg.so.3
ln: failed to create symbolic link '/opt/openoffice.org/ure/lib/libreg.so.3': File exists
tg@tg-K50IJ:~$ sudo ln -s /usr/lib/ure/lib/libstorelo.so /opt/openoffice.org/ure/lib/libstore.so.3
ln: failed to create symbolic link '/opt/openoffice.org/ure/lib/libstore.so.3': File exists
tg@tg-K50IJ:~$ 

Thank you,

TGE.
Comment 30 Stephan Bergmann 2013-12-13 09:10:59 UTC
(In reply to comment #29)
> tg@tg-K50IJ:~$ sudo ln -s /usr/lib/ure/lib/libreglo.so
> /opt/openoffice.org/ure/lib/libreg.so.3
> ln: failed to create symbolic link
> '/opt/openoffice.org/ure/lib/libreg.so.3': File exists
> tg@tg-K50IJ:~$ sudo ln -s /usr/lib/ure/lib/libstorelo.so
> /opt/openoffice.org/ure/lib/libstore.so.3
> ln: failed to create symbolic link
> '/opt/openoffice.org/ure/lib/libstore.so.3': File exists
> tg@tg-K50IJ:~$ 

So you also have some OpenOffice.org (or Apache Open Office) installed?  The bogus /opt/openoffice.org/ure/lib RPATH in the extension's libAntidote_32.OOo.MT.P100.so will get you into trouble then.

If you want to try out whether you're able to run the extension together with LibreOffice, I'd suggest to first deinstall any OpenOffice (make sure /opt/openoffice.org no longer exists or is at least empty) and then retry the commands from comment 28.
Comment 31 thibault_g 2013-12-13 09:52:10 UTC
Hello,

I have never installed OpenOffice. So I don't know what to do to erase this folders that I found :

/opt/openoffice.org
/usr/share/doc/openoffice.org-hyphenation
/usr/share/fonts/truetype/openoffice, /opt/Druide/Antidote7/texteurs/openoffice.org
/usr/lib/libreoffice/share/extensions/presentation-minimizer/registry/data/org/openoffice
/usr/lib/libreoffice/share/extensions/presentation-minimizer/registry/schema/org/openoffice

Have I to drop them in the bin? And that's it. Or do I have to use the terminal?

There are somes files too inside this folder. Aren't they old folders from Openoffice that LibreOffice use to be functional?

Thank you,

TGE.
Comment 32 thibault_g 2013-12-13 09:54:42 UTC
Futhermore, in opt/openoffice.org, there are just two files libreg.so.3 and libstore.so.3. I think these are the ones that are problematic. Do I have to put in the bin, just like this?

Thank you.
Comment 33 Stephan Bergmann 2013-12-13 10:45:19 UTC
(In reply to comment #32)
> Futhermore, in opt/openoffice.org, there are just two files libreg.so.3 and
> libstore.so.3. I think these are the ones that are problematic. Do I have to
> put in the bin, just like this?

Yes, you should try that.  No idea what put them there, but seeing you also somehow got a /opt/Druide/Antidote7/texteurs/openoffice.org you maybe got those through the same installation process.

(And you should /not/ touch any of the other directories apart from /opt/openoffice.org/ure/lib you listed in comment 31.)
Comment 34 thibault_g 2013-12-13 20:54:27 UTC
So, I put the files in the bin and here are the results:

tg@tg-K50IJ:~$ export lang=c
tg@tg-K50IJ:~$ mkdir -p /opt/openoffice.org/ure/lib
tg@tg-K50IJ:~$ > -s /usr/lib/ure/lib/libreglo.so /opt/openoffice.org/ure/lib/libreg.so.3
bash: /usr/lib/ure/lib/libreglo.so: Permission non accordée
tg@tg-K50IJ:~$  ln -s /usr/lib/ure/lib/libstorelo.so /opt/openoffice.org/ure/lib/libstore.so.3
ln: impossible de créer le lien symbolique «/opt/openoffice.org/ure/lib/libstore.so.3»: Permission non accordée
tg@tg-K50IJ:~$

Thank you,

TGE
Comment 35 thibault_g 2013-12-13 20:56:58 UTC
Furthermore, here are the messages I have since I erase the files:

Dim Antidote

Sub ChargementAntidote
	if HasUnoInterfaces(ThisComponent, "com.sun.star.text.XTextDocument") Or HasUnoInterfaces(ThisComponent, "com.sun.star.sheet.XSpreadsheetDocument") Or HasUnoInterfaces(ThisComponent, "com.sun.star.drawing.XDrawPagesSupplier") then
		Antidote = CreateUnoService("com.druide.antidote.texteurs.openoffice.Antidote")
		if Not IsNull(Antidote) then
			Antidote.EnregistreIntercepteur(ThisComponent)
		end if
	end if
End Sub

Sub LanceOutil(leOutil as string)
	Antidote = CreateUnoService("com.druide.antidote.texteurs.openoffice.Antidote")
	if Not IsNull(Antidote) then
		Antidote.LanceOutil(ThisComponent, leOutil)
	end if
End Sub

Maybe it can help you.

Thank you,

TGE
Comment 36 Julien Nabet 2013-12-13 21:25:22 UTC
thibault: to launch these commands, you must be root or you must put before each command "sudo".
Comment 37 thibault_g 2013-12-14 13:10:32 UTC
Hello,

Sorry, I did that yesterday night and I was too tired.

Here are the results.

tg@tg-K50IJ:~$ export lang=c
tg@tg-K50IJ:~$ sudo mkdir -p /opt/openoffice.org/ure/lib
[sudo] password for tg: 
tg@tg-K50IJ:~$ sudo ln -s /usr/lib/ure/lib/libreglo.so /opt/openoffice.org/ure/lib/libreg.so.3
tg@tg-K50IJ:~$ sudo ln -s /usr/lib/ure/lib/libstorelo.so /opt/openoffice.org/ure/lib/libstore.so.3

In a way, it works. When I start LibreOffice, I do not have the usual error message. The first time I try to start the extension, I looked like it was going to work, but it did not. After I have try it again, nothing happened.

Any other ideas?

Thank you,

TGE.
Comment 38 Julien Nabet 2013-12-14 14:39:08 UTC
Did you launch LO from console?
There could be some interesting error/warning messages in it when you try the extension.
Comment 39 Stephan Bergmann 2013-12-16 09:57:56 UTC
(In reply to comment #35)
> Furthermore, here are the messages I have since I erase the files:
> 
> Dim Antidote
> 
> Sub ChargementAntidote
[...]

Not sure what you mean with "messages" here.

Anyway, I guess it looks like you're out of luck with getting that extension to work with recent LO versions, and the only party that could do anything about it is the authors of the extension.
Comment 40 thibault_g 2013-12-16 17:05:44 UTC
Hello,

Sorry for the delay. I wasn't connected the last two days.

Here what I got, when I launch Libreoffice in a terminal:

ERROR: ld.so: object '/usr/lib/libreoffice/ure-link/lib/libreg.so.3' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object '/usr/lib/libreoffice/ure-link/lib/libstore.so.3' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object '/usr/lib/libreoffice/ure-link/lib/libreg.so.3' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object '/usr/lib/libreoffice/ure-link/lib/libstore.so.3' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object '/usr/lib/libreoffice/ure-link/lib/libreg.so.3' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object '/usr/lib/libreoffice/ure-link/lib/libstore.so.3' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object '/usr/lib/libreoffice/ure-link/lib/libreg.so.3' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object '/usr/lib/libreoffice/ure-link/lib/libstore.so.3' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object '/usr/lib/libreoffice/ure-link/lib/libreg.so.3' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object '/usr/lib/libreoffice/ure-link/lib/libstore.so.3' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object '/usr/lib/libreoffice/ure-link/lib/libreg.so.3' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object '/usr/lib/libreoffice/ure-link/lib/libstore.so.3' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object '/usr/lib/libreoffice/ure-link/lib/libreg.so.3' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object '/usr/lib/libreoffice/ure-link/lib/libstore.so.3' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object '/usr/lib/libreoffice/ure-link/lib/libreg.so.3' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object '/usr/lib/libreoffice/ure-link/lib/libstore.so.3' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object '/usr/lib/libreoffice/ure-link/lib/libreg.so.3' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object '/usr/lib/libreoffice/ure-link/lib/libstore.so.3' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object '/usr/lib/libreoffice/ure-link/lib/libreg.so.3' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object '/usr/lib/libreoffice/ure-link/lib/libstore.so.3' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object '/usr/lib/libreoffice/ure-link/lib/libreg.so.3' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object '/usr/lib/libreoffice/ure-link/lib/libstore.so.3' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object '/usr/lib/libreoffice/ure-link/lib/libreg.so.3' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object '/usr/lib/libreoffice/ure-link/lib/libstore.so.3' from LD_PRELOAD cannot be preloaded: ignored.
Argument invalide : nom1

Besides, what I mean by message is that I have had a popup window that opened itself each time I launched Libreoffice that contained the other info, but, now it doesnt popup anymore.

Thank you,

TGE
Comment 41 Stephan Bergmann 2013-12-17 08:51:35 UTC
(In reply to comment #40)
> ERROR: ld.so: object '/usr/lib/libreoffice/ure-link/lib/libreg.so.3' from
> LD_PRELOAD cannot be preloaded: ignored.
> ERROR: ld.so: object '/usr/lib/libreoffice/ure-link/lib/libstore.so.3' from
> LD_PRELOAD cannot be preloaded: ignored.

Whatever it is that sets LD_PRELOAD in your environment, it is not LibreOffice itself.  But all these findings (/opt/openoffice.org/ure/lib/libreg.so.3 existing when you never installed OOo, odd LD_PRELOAD, ...) make it look to me like your environment is thoroughly busted.  Maybe that is the result of installing Antidote (given you also have an /opt/Druide/Antidote7 directory, so installing Antidote apparently amounted to more than installing just an .oxt extension into LibreOffice).  Anyway, I at least unfortunately cannot help you out there.
Comment 42 thibault_g 2013-12-17 16:26:46 UTC
Hello,

Merci d'avoir essayé.

TGE.